Bug 979452 (CVE-2013-4415)

Summary: CVE-2013-4415 Red Hat Satellite, Spacewalk: PAGE_SIZE_LABEL_SELECTED cross-site scripting (XSS)
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact: Dimitar Yordanov <dyordano>
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: cperry, dyordano, ggainey, lpramuk, meissner, mmraka, mzazrivec, security-response-team, taw, thomas, tlestach, vkrizan
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20140210,reported=20130625,source=researcher,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,cwe=CWE-79,rhn_satellite_5.6/Server=affected
Fixed In Version: spacewalk-java-2.0.2-57-sat spacewalk-web-2.0.3-19-sat satellite-branding-5.6.0.23-1-sat Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-11 08:08:58 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1022683, 1053345, 1053346    
Bug Blocks: 979517, 1011743    

Description Jan Lieskovsky 2013-06-28 11:14:12 EDT
Multiple cross-site scripting (XSS) flaws were found in the way Red Hat Satellite and Spacewalk services used to sanitize content of various query string (QS) variables when performing search for various entities:

* when performing search for software channels value of 'whereCriteria' QS variable was incorrectly sanitized,

* when performing search for scap audit results the values of the following QS variables were incorrectly sanitized:

    'end_year', 'start_hour', 'end_am_pm', 'end_day', 'end_hour', 'end_minute', 'end_month', 'end_year', 'optionScanDateSearch', 'result_filter', 'search_string', 'show_as', 'start_am_pm', 'start_day', 'start_hour', 'start_minute', 'start_month', 'start_year', and 'whereToSearch',

* when performing search for errata the values of the following QS variables were incorrectly sanitized:

    'end_minute', 'end_month', 'end_year', 'errata_type_bug', 'errata_type_enhancement', 'errata_type_security', 'fineGrained', 'list_1892635924_sortdir', 'optionIssueDateSearch', 'start_am_pm', 'start_day', 'start_hour', 'start_minute', 'start_month', 'start_year', and 'view_mode',

* when performing search for systems the value of the 'fineGrained' QS variable was incorrectly sanitized.

Remote attacker could provide a specially-crafted web page that, when visited by authenticated Red Hat Satellite or Spacewalk user would lead to arbitrary HTML or web script execution in the context of Red Hat Satellite's / Spacewalk's user's session.
Comment 5 Jan Lieskovsky 2013-07-18 10:41:06 EDT
Acknowledgements:

Red Hat would like to thank Adam Willard and Jose Carlos de Arriba of Foreground Security for reporting this issue.
Comment 7 Kurt Seifried 2013-10-09 21:05:16 EDT
The root cause of this issue is within PAGE_SIZE_LABEL_SELECTED.
Comment 14 Grant Gainey 2014-01-24 10:46:13 EST
commits:
fca790234a2d15e7e09875dab5ab5890aba6c593 (majority of the changes)
bb9b185143cae97537f0f946bcbfae0252aaf301 (LABEL_SELECTED fix)
cafa97d07dd5c0cf6ffda8daa28bcba8e53d6451 (make checkstyle happy)
0d5abafa7732aa74206389c1463888f11282fcf6 (fix satellite-branding)
Comment 16 errata-xmlrpc 2014-02-10 12:33:26 EST
This issue has been addressed in following products:

  Red Hat Satellite Server v 5.6

Via RHSA-2014:0148 https://rhn.redhat.com/errata/RHSA-2014-0148.html